/*
 * 作成日: 2003/12/29
 *
 */
package openolap.viewer;

import java.io.Serializable;

/**
 */
public class MeasureMember extends AxisMember implements Serializable {

	// ********** インスタンス変数 **********

	protected final String measureSeq;
	protected final String measureName;
	private MeasureMemberType measureMemberType = null; 	// メジャーメンバータイプ

	// ********** コンストラクタ **********

	public MeasureMember(String id, String measureName, MeasureMemberType meaMemType, String uniqueName, String measureSeq) {
		super(id, uniqueName, 1);				// メジャーは階層にはならないため、レベルは常に「１」
		this.measureSeq = measureSeq;
		this.measureName = measureName;
		this.measureMemberType = meaMemType;
	}

	// ********** メソッド **********

	public String getSpecifiedDisplayName(Axis axis) {
		return measureName;
	}

	public String getSpecifiedIndentedDisplayName(Axis axis){
		return measureName;
	}

	// ********** Setterメソッド **********

	public void setMeasureMemberType(MeasureMemberType meaMemType) {
		this.measureMemberType = meaMemType;
	}

	// ********** getter **********

	public String getMeasureSeq() {
		return this.measureSeq;
	}
	public String getMeasureName() {
		return this.measureName;
	}
	public MeasureMemberType getMeasureMemberType() {
		return this.measureMemberType;
	}
	public String getIndentedShortName() {
		return measureName;
	}
	public String getIndentedLongName() {
		return measureName;
	}

}
